<?php
/*
  $Id: ozpost.php,v1.0.2 2009/04/21
  $Id: ozpost.php,v2.0.0 2010/02/25
  $Id: ozpost.php,v2.0.1 2011/05/21
  $Id: ozpost.php,v3.1.2 2011/09/23
  $Id: ozpost.php,v3.2.3 2012/05/08
  
  Copyright (c) 2007-2012 Rod Gasson / VCSWEB
  Released under the GNU General Public License
*/

define('MODULE_SHIPPING_OZPOST_TEXT_TITLE'	, 'Ozpost MultiQuote');
define('MODULE_SHIPPING_OZPOST_AP_TEXT'         , 'Australia Post');
// define('MODULE_SHIPPING_OZPOST_AP_TEXT'         , 'AusPost'); //  short version //
define('MODULE_SHIPPING_OZPOST_TNT_TEXT'	, 'TNT');
define('MODULE_SHIPPING_OZPOST_FASTWAY_TEXT'	, 'Fastway Couriers');
define('MODULE_SHIPPING_OZPOST_TRANSD_TEXT'	, 'Transdirect');
define('MODULE_SHIPPING_OZPOST_EGO_TEXT'	, 'E-go');
define('MODULE_SHIPPING_OZPOST_ERROR_TEXT1'	, ' Unexpected error. No valid method. Using static rates.');
define('MODULE_SHIPPING_OZPOST_HANDLING1_TEXT'	, ' Includes ');
define('MODULE_SHIPPING_OZPOST_HANDLING2_TEXT'	, ' Packaging & Handling. ');
define('MODULE_SHIPPING_OZPOST_EST_DEL_TEXT'	, ' Days Estimated Delivery.');
define('MODULE_SHIPPING_OZPOST_GUESTMSG'	, 'Please enter your country or postcode');
define('MODULE_SHIPPING_OZPOST_ERROR_TEXT1'	, ' Unexpected error. No valid method. Using static rates.');
// define('MODULE_SHIPPING_OZPOST_ERROR_TEXT1'	, ' Unexpected error. No valid method. Using static rates - Please contact us for freight quote.');
define('MODULE_SHIPPING_OZPOST_ERROR_TEXT2'     , '<strong>Temporary Quote Error. Static rates currently apply</strong> (or try again later).') ;

/*
  The following defines are examples of how to override the default *descriptions*
  of the various shipping methods. This is useful if you wish to obfuscate identifying
  any particular carrier based on this information.
 The  examples listed are used to prevent the EGO methods from being displayed as
 "EGO EGO Parcel"  &  "EGO EGO Insured Parcel"
 It does this by simply changing "EGO Parcel to just "Parcel".
 To add/use/create your own overrides you will first need to identify the methodID code
 then append "_description" to this code (as per examples).
 You should be able identify the methodID's by looking at the 'case' commands midway in
 the code /includes/modules/shipping/ozpost.php. There are over 60 of them!
*/

//  define('EGOi_description', 'Insured Parcel') ;
//  define('EGO_description' , 'Parcel2') ;
//  define('TRD_description' , 'Parcel') ;
//  define('RPP_description' , 'OzPostParcel') ;
//  define('FWS_description' , 'SlowWay Sat') ;    // Fastway Satchel override
//  define('FWL_description' , 'SlowWay Labels') ;    // Fastway label override

// Satchels – Australia Post (national) //
// define('PPS3_description', 'Parcel Post+ <strong>Satchel</strong> [limited tracking]') ;
// define('PPS3r_description', '<strong>Registered</strong>-Parcel Post+ <strong>Satchel</strong> [tracked and signed]') ;
// define('PPS3i_description', '<strong>Insured</strong>-Parcel Post+ <strong>Satchel</strong> [tracked and signed]') ;
// define('PPS5_description', 'Parcel Post+ <strong>Satchel</strong> [limited tracking]') ;
// define('PPS5r_description', '<strong>Registered</strong>-Parcel Post+ <strong>Satchel</strong> [tracked and signed]') ;
// define('PPS5i_description', '<strong>Insured</strong>-Parcel Post+ <strong>Satchel</strong> [tracked and signed]') ;
// define('PPS5K_description', 'Parcel Post+ <strong>Satchel</strong> [limited tracking]') ;
// define('PPS5Kr_description', '<strong>Registered</strong>-Parcel Post+ <strong>Satchel</strong> [tracked and signed]') ;
// define('PPS5Ki_description', '<strong>Insured</strong>-Parcel Post+ <strong>Satchel</strong> [tracked and signed]') ;
// define('PPSE3_description', '<strong>Express</strong> Post <strong>Satchel</strong> [limited tracking]') ;
// define('PPSE3XL_description', '<strong>Express</strong> Post <strong>Satchel</strong> [limited tracking]') ;
// define('PPSE5_description', '<strong>Express</strong> Post <strong>Satchel</strong> [limited tracking]') ;
// define('PPSE5K_description', '<strong>Express</strong> Post <strong>Satchel</strong> [limited tracking]') ;
// define('PPSE5KXL_description', '<strong>Express</strong> Post <strong>Satchel</strong> [limited tracking]') ;
// define('PPSP3_description', 'Express Post <strong>Platinum Satchel<strong> [tracked and signed]') ;
// define('PPSP3i_description', '<strong>Insured</strong>-Express Post <strong>Platinum Satchel</strong> [tracked and signed]') ;
// define('PPSP5_description', 'Express Post <strong>Platinum Satchel</strong> [tracked and signed]') ;
// define('PPSP5i_description', '<strong>Insured</strong>-Express Post <strong>Platinum Satchel</strong> [tracked and signed]') ;

// Parcels – Australia Post (national) //
// define('REG_description', '<strong>Registered-Parcel</strong> Post [tracked and signed]') ;
// define('RPP_description', '<strong>Parcel</strong> Post [<strong>NO TRACKING</strong>]') ;
// define('RPPi_description', '<strong>Insured-Parcel</strong> Post [tracked and signed]') ;
// define('EXP_description', '<strong>Express</strong> Post</strong> Parcel</strong> [limited tracking]') ;
// define('PLT_description', 'Express Post <strong>Platinum Parcel</strong> [tracked and signed]') ;
// define('PLTi_description', '<strong>Insured</strong>-Express Post <strong>Platinum Parcel</strong> [tracked and signed]') ;

//  Letters – Australia Post (national) NOT DONE... ref info in case somebody cares to ;-)//
/*
            case  "SLET";
            case  "LL1" ;
            case  "LL2" ;
            case  "LL3" ;
                    if (defined('LETTER_description')) {$quote->description = LETTER_description ; }
            case "REGL" ;
            case "REGLS";
            case "REGLL";
                    if (defined('REGLETTER_description')) {$quote->description = REGLETTER_description ; }
            case  "SLETi";
            case  "LL1i" ;
            case  "LL2i" ;
            case  "LL3i" ;
            case  "INSLS";
            case  "INSLL";
                    if (defined('INSLETTER_description')) {$quote->description = INSLETTER_description ; }
            case   "EXLS";
            case   "EXLL";
                if (defined('EXLETTER_description')) {$quote->description = EXLETTER_description ; }
*/
?>